Summary: Displays the full path of shell commands
Name: which
Version: 2.21
Release: r0
License: GPL-3.0-or-later
Group: libs
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: https://carlowood.github.io/which/
Source0: automake.patch
Source1: which-2.21.tar.gz
Source2: series
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: cwautomacros-native
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: texinfo-dummy-native
BuildRequires: virtual/aarch64-poky-linux-compilerlibs
BuildRequires: virtual/aarch64-poky-linux-gcc
BuildRequires: virtual/libc
BuildRequires: virtual/update-alternatives
Requires: ld-linux-aarch64.so.1()(64bit)
Requires: ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)
Requires: update-alternatives-opkg
Requires(post): ld-linux-aarch64.so.1()(64bit)
Requires(post): ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.17)(64bit)
Requires(post): libc.so.6(GLIBC_2.33)(64bit)
Requires(post): libc.so.6(GLIBC_2.34)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): rtld(GNU_HASH)
Requires(post): update-alternatives-opkg
Requires(preun): ld-linux-aarch64.so.1()(64bit)
Requires(preun): ld-linux-aarch64.so.1(GLIBC_2.17)(64bit)
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.17)(64bit)
Requires(preun): libc.so.6(GLIBC_2.33)(64bit)
Requires(preun): libc.so.6(GLIBC_2.34)(64bit)
Requires(preun): libc6 >= 2.40+git0+efb710034e
Requires(preun): rtld(GNU_HASH)
Requires(preun): update-alternatives-opkg
Provides: /usr/bin/which

%description
Which is a utility that prints out the full path of the executables that
bash(1) would execute when the passed program names would have been entered
on the shell prompt. It does this by using the exact same algorithm as
bash.

%package -n which-src
Summary: Displays the full path of shell commands - Source files
License: GPL-3.0-or-later
Group: devel

%description -n which-src
Which is a utility that prints out the full path of the executables that
bash(1) would execute when the passed program names would have been entered
on the shell prompt. It does this by using the exact same algorithm as
bash.  This package contains sources for debugging purposes.

%package -n which-dbg
Summary: Displays the full path of shell commands - Debugging files
License: GPL-3.0-or-later
Group: devel
Recommends: glibc-dbg

%description -n which-dbg
Which is a utility that prints out the full path of the executables that
bash(1) would execute when the passed program names would have been entered
on the shell prompt. It does this by using the exact same algorithm as
bash.  This package contains ELF symbols and related sources for debugging
purposes.

%package -n which-staticdev
Summary: Displays the full path of shell commands - Development files (Static Libraries)
License: GPL-3.0-or-later
Group: devel
Requires: which-dev = 2.21-r0

%description -n which-staticdev
Which is a utility that prints out the full path of the executables that
bash(1) would execute when the passed program names would have been entered
on the shell prompt. It does this by using the exact same algorithm as
bash.  This package contains static libraries for software development.

%package -n which-dev
Summary: Displays the full path of shell commands - Development files
License: GPL-3.0-or-later
Group: devel
Recommends: glibc-dev
Recommends: update-alternatives-opkg-dev
Recommends: which = 2.21-r0

%description -n which-dev
Which is a utility that prints out the full path of the executables that
bash(1) would execute when the passed program names would have been entered
on the shell prompt. It does this by using the exact same algorithm as
bash.  This package contains symbolic links, header files, and related
items necessary for software development.

%package -n which-doc
Summary: Displays the full path of shell commands - Documentation files
License: GPL-3.0-or-later
Group: doc
Requires: update-alternatives-opkg
Requires(post): update-alternatives-opkg
Requires(preun): update-alternatives-opkg
Provides: /usr/share/man/man1/which.1

%description -n which-doc
Which is a utility that prints out the full path of the executables that
bash(1) would execute when the passed program names would have been entered
on the shell prompt. It does this by using the exact same algorithm as
bash.  This package contains documentation.

%package -n which-locale
Summary: Displays the full path of shell commands
License: GPL-3.0-or-later
Group: libs

%description -n which-locale
Which is a utility that prints out the full path of the executables that
bash(1) would execute when the passed program names would have been entered
on the shell prompt. It does this by using the exact same algorithm as
bash.

%post
# which - postinst
#!/bin/sh
set -e
	update-alternatives --install /usr/bin/which which /usr/bin/which.which 100


%preun
# which - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
set -e
	update-alternatives --remove  which /usr/bin/which.which
fi

%post -n which-doc
# which-doc - postinst
#!/bin/sh
set -e
	update-alternatives --install /usr/share/man/man1/which.1 which.1 /usr/share/man/man1/which.1.which 100


%preun -n which-doc
# which-doc - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
set -e
	update-alternatives --remove  which.1 /usr/share/man/man1/which.1.which
fi

%files
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) "/usr/bin/which.which"

%files -n which-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/which"
%attr(755,root,root) %dir "/usr/src/debug/which/2.21"
%attr(755,root,root) %dir "/usr/src/debug/which/2.21/tilde"
%attr(644,root,root) "/usr/src/debug/which/2.21/bash.h"
%attr(644,root,root) "/usr/src/debug/which/2.21/getopt.h"
%attr(644,root,root) "/usr/src/debug/which/2.21/sys.h"
%attr(644,root,root) "/usr/src/debug/which/2.21/bash.c"
%attr(644,root,root) "/usr/src/debug/which/2.21/which.c"
%attr(644,root,root) "/usr/src/debug/which/2.21/tilde/tilde.c"
%attr(644,root,root) "/usr/src/debug/which/2.21/tilde/xmalloc.h"
%attr(644,root,root) "/usr/src/debug/which/2.21/tilde/tilde.h"

%files -n which-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) %dir "/usr/bin/.debug"
%attr(755,root,root) "/usr/bin/.debug/which.which"

%files -n which-dev
%defattr(-,-,-,-)

%files -n which-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/info"
%attr(755,root,root) %dir "/usr/share/man/man1"
%attr(644,root,root) "/usr/share/man/man1/which.1.which"
%attr(644,root,root) "/usr/share/info/which.info"

%%prep
echo "include logs and patches, Please check them in SOURCES"

